function [fp_list rec_list auc_roc] = show_roc_curve(class, labels, scores, opt_fig)

if ~exist('opt_fig', 'var'),
    opt_fig = true;
end

pre_list = [];
rec_list = [];
fp_list = [];
for score = vec(sort(scores,'descend'))'
    pre = sum((scores>=score) & (labels==class))/sum(scores>=score);
    rec = sum((scores>=score) & (labels==class))/sum(labels==class);
    fp = sum((scores>=score) & (labels~=class))/sum(labels~=class);
    
    pre_list = [pre_list pre];
    rec_list = [rec_list rec];
    fp_list = [fp_list fp];
end
idx = argsort(fp_list);
% auc_roc = sum(diff([fp_list(idx),1]).*rec_list(idx));
trapezoid = (rec_list(idx)+[0, rec_list(idx(1:end-1))])/2;
auc_roc = sum(diff([0 fp_list(idx)]).*trapezoid);

if opt_fig
    plot(fp_list, rec_list), title(sprintf('area=%.3f', auc_roc));
    xlabel('False positive rate'), ylabel('True positive rate')
end

return